OpenapiO11y
Lists the mappers belonging to one group, in the order they are applied.
Lists the mappers belonging to one group, in the order they are applied.
GET /v1/o11y/span_mapper_groups/{groupId}/span_mappers
| Address | https://api.hanzo.ai/v1/o11y/span_mapper_groups/{groupId}/span_mappers |
| Method | GET |
| Operation | ListSpanMappers |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Lists the mappers belonging to one group, in the order they are applied.
Callers need the viewer role; the runtime's own gate enforces it.
Request
1 field.
| Field | In | Type | Required | Description |
|---|---|---|---|---|
groupId | path | string | yes |
Response
| Status | Body | Meaning |
|---|---|---|
200 | o11y.O11ySpanMappersOut | ok |
200 body — 18 fields.
| Field | In | Type | Always | Description |
|---|---|---|---|---|
data | body | o11y.GettableSpanMappers | — | |
data.items | body | o11y.SpanMapper[] | — | |
data.items[].config | body | o11y.SpanMapperConfig | — | |
data.items[].config.sources | body | o11y.SpanMapperSource[] | — | |
data.items[].config.sources[].context | body | any | — | |
data.items[].config.sources[].key | body | string | — | |
data.items[].config.sources[].operation | body | any | — | |
data.items[].config.sources[].priority | body | integer | — | |
data.items[].createdAt | body | string (date-time) | — | |
data.items[].createdBy | body | string | — | |
data.items[].enabled | body | boolean | — | |
data.items[].fieldContext | body | any | — | |
data.items[].group_id | body | any | — | |
data.items[].id | body | any | — | |
data.items[].name | body | string | — | |
data.items[].updatedAt | body | string (date-time) | — | |
data.items[].updatedBy | body | string | — | |
status | body | string | — | Status is "success". |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y span_mapper_groups span_mappers list <groupId>import { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.listSpanMappers({ groupId: 'groupId' });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).list_span_mappers(group_id='groupId')cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.ListSpanMappers(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::list_span_mappers(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).listSpanMappers();curl https://api.hanzo.ai/v1/o11y/span_mapper_groups/<groupId>/span_mappers \
-H "Authorization: Bearer $HANZO_API_KEY"Tool o11y, op ListSpanMappers — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "ListSpanMappers",
"input": {
"groupId": "<groupId>"
}
}
}
}'How is this guide?